Bug 841715 - RFE: It is better to add "Delete Volume" and "Refresh Volume" button when import existing disk image
RFE: It is better to add "Delete Volume" and "Refresh Volume" button when imp...
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Cole Robinson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 20:51 EDT by Cui Lei
Modified: 2014-07-06 15:31 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-01 13:32:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cui Lei 2012-07-19 20:51:27 EDT
Description of problem:
When create a new VM and select import existing disk image, for convenient, it is better to add "Delete Volume" and "Refresh Volume" button when import existing disk image. Like 'Storage' tab in connection details.
The two features are useful when user handle massive images in storage pool.

Version-Release number of selected component (if applicable):
Virtual Machine Manager 0.9.0
libvirt-0.9.10-21.el6.x86_64
RHEL6.3 minimal installation

How reproducible:
100%

Steps to Reproduce:
1. Open virt-manager
2. Copy some exist image to storage pool.
3. Create a guest and select 'import existing disk image'
4. Click 'Browser' to select image

Actual results:
The new image could not be seen in storage pool. User need to reopen virt-manager or click 'Browse Loacl' button to find new image.
And user could only new a Volume, but could not delete a unused volume.

Expect result:
It is better to add "Delete Volume" and "Refresh Volume" button when import existing disk image
Comment 2 Richard Marko 2013-05-07 09:38:26 EDT
+1 

In case of LVM pool one has to go Storage tab in connection and hit refresh there as Browse won't work.
Comment 3 Cole Robinson 2014-02-01 13:32:49 EST
Upstream storagebrowser has refresh and delete vol options now

Note You need to log in before you can comment on or make changes to this bug.